API reference
List districts
GET
Returns the districts (kecamatan) of one city.
No authentication is required.
cityId*integerid from List cities.
Districts of the city.
application/json- response
statusCode*integermessage*stringdata*array<>curl -X GET 'https://sandbox-api.fastrac.example/b2b/region/district?cityId=0'Example Response
{ "statusCode": 200, "message": "Request successful.", "data": [ { "id": 317407, "name": "Mampang Prapatan", "cityId": 3174 }, { "id": 317409, "name": "Tebet", "cityId": 3174 } ]}Was this page helpful?
List cities GET
Returns the cities (kota) and regencies (kabupaten) of one province. No authentication is required. An unknown `provinceId` returns an empty list with the message `Request successful. data not found`.
List subdistricts GET
Returns the subdistricts (kelurahan/desa) of one district. The `id` of a subdistrict is the `subdistrictId` you send in rate requests. No authentication is required.